---
updatedAt: 2026-02-27T06:36:06.000Z
agentTools:
  projectIndex: https://developers.smsedge.io/llms.txt
---

# Index

Get all the campaigns you created

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "smsedge-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.smsedge.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/campaigns/getall": {
      "get": {
        "summary": "Index",
        "description": "Get all the campaigns you created",
        "operationId": "list-1",
        "parameters": [
          {
            "name": "api_key",
            "in": "query",
            "description": "Your API Key for Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "ID of requested campaign",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Name of requested campaign",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tag",
            "in": "query",
            "description": "Tag of requested campaign",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "country_id",
            "in": "query",
            "description": "ID of country",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Current page number",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n        \"success\": true,\n        \"data\": [\n            {\n                \"id\": 107378,\n                \"name\": \"Preview Check\",\n                \"tag\": \"\",\n                \"country\": [\n                    {\n                        \"id\": 104,\n                        \"name\": \"Israel\"\n                    }\n                ],\n                \"sender_id\": \"info\",\n                \"created\": \"2021-06-13 13:27:09\",\n                \"laps\": \"1\",\n                \"previews\": 0,\n                \"sent\": 3,\n                \"clicks\": 1,\n                \"ctr\": 33.33,\n                \"leads\": 0,\n                \"sales\": 0,\n                \"cost\": 0.32,\n                \"sending_activity\": {\n                    \"from\": \"2021-06-13 14:28:01\",\n                    \"to\": \"2021-06-13 14:28:01\"\n                }\n            }\n        ],\n        \"errors\": [],\n        \"pagination\": {\n            \"page\": 1,\n            \"all\": 1\n        },\n        \"response\": {\n            \"code\": 200,\n            \"description\": \"OK\",\n            \"date\": \"2021-09-01 12:58:09\"\n        },\n        \"api\": [],\n        \"user\": {\n            \"id\": 278\n        }\n    }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "success": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "data": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "integer",
                              "example": 107378,
                              "default": 0
                            },
                            "name": {
                              "type": "string",
                              "example": "Preview Check"
                            },
                            "tag": {
                              "type": "string",
                              "example": ""
                            },
                            "country": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "integer",
                                    "example": 104,
                                    "default": 0
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "Israel"
                                  }
                                }
                              }
                            },
                            "sender_id": {
                              "type": "string",
                              "example": "info"
                            },
                            "created": {
                              "type": "string",
                              "example": "2021-06-13 13:27:09"
                            },
                            "laps": {
                              "type": "string",
                              "example": "1"
                            },
                            "previews": {
                              "type": "integer",
                              "example": 0,
                              "default": 0
                            },
                            "sent": {
                              "type": "integer",
                              "example": 3,
                              "default": 0
                            },
                            "clicks": {
                              "type": "integer",
                              "example": 1,
                              "default": 0
                            },
                            "ctr": {
                              "type": "number",
                              "example": 33.33,
                              "default": 0
                            },
                            "leads": {
                              "type": "integer",
                              "example": 0,
                              "default": 0
                            },
                            "sales": {
                              "type": "integer",
                              "example": 0,
                              "default": 0
                            },
                            "cost": {
                              "type": "number",
                              "example": 0.32,
                              "default": 0
                            },
                            "sending_activity": {
                              "type": "object",
                              "properties": {
                                "from": {
                                  "type": "string",
                                  "example": "2021-06-13 14:28:01"
                                },
                                "to": {
                                  "type": "string",
                                  "example": "2021-06-13 14:28:01"
                                }
                              }
                            }
                          }
                        }
                      },
                      "errors": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "pagination": {
                        "type": "object",
                        "properties": {
                          "page": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "all": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          }
                        }
                      },
                      "response": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer",
                            "example": 200,
                            "default": 0
                          },
                          "description": {
                            "type": "string",
                            "example": "OK"
                          },
                          "date": {
                            "type": "string",
                            "example": "2021-09-01 12:58:09"
                          }
                        }
                      },
                      "api": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "user": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 278,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n        \"success\": false,\n        \"data\": [],\n        \"errors\": [\n            \"No campaigns found\"\n        ],\n        \"response\": {\n            \"code\": 404,\n            \"description\": \"Resource Not Found\",\n            \"date\": \"2021-09-01 12:57:27\"\n        },\n        \"api\": [],\n        \"user\": {\n            \"id\": 278\n        }\n    }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "success": {
                        "type": "boolean",
                        "example": false,
                        "default": true
                      },
                      "data": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "errors": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "example": "No campaigns found"
                        }
                      },
                      "response": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer",
                            "example": 404,
                            "default": 0
                          },
                          "description": {
                            "type": "string",
                            "example": "Resource Not Found"
                          },
                          "date": {
                            "type": "string",
                            "example": "2021-09-01 12:57:27"
                          }
                        }
                      },
                      "api": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "user": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 278,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```